r4219 - in trunk/bootscripts: . contrib/init.d

nathan at linuxfromscratch.org nathan at linuxfromscratch.org
Sun Sep 26 22:51:42 PDT 2004


Author: nathan
Date: 2004-09-26 23:51:41 -0600 (Sun, 26 Sep 2004)
New Revision: 4219

Added:
   trunk/bootscripts/contrib/init.d/consolelog
Modified:
   trunk/bootscripts/CHANGELOG
   trunk/bootscripts/Makefile
Log:
Added consolelog script

Modified: trunk/bootscripts/CHANGELOG
===================================================================
--- trunk/bootscripts/CHANGELOG	2004-09-27 05:42:09 UTC (rev 4218)
+++ trunk/bootscripts/CHANGELOG	2004-09-27 05:51:41 UTC (rev 4219)
@@ -2,6 +2,7 @@
 	* Added BOOTMESG_PREFIX variable, so users can optionally set a
 	  prefix for boot messages (James Robert)
 	* fixed localnet status, to use ip instead of ifconfig (Jim Gifford)
+	* Added consolelog to contrib (DJ Lucas)
 
 n/a - September 24, 2004
 	* Removed /dev/udev.tdb test

Modified: trunk/bootscripts/Makefile
===================================================================
--- trunk/bootscripts/Makefile	2004-09-27 05:42:09 UTC (rev 4218)
+++ trunk/bootscripts/Makefile	2004-09-27 05:51:41 UTC (rev 4219)
@@ -85,6 +85,10 @@
 	install                   -m ${MODE} lfs/sysconfig/network-devices/services/ipv4-static       ${EXTDIR}/sysconfig/network-devices/services
 	install                   -m ${MODE} lfs/sysconfig/network-devices/services/ipv4-static-route ${EXTDIR}/sysconfig/network-devices/services
 
+install-consolelog: create-dirs
+	install -m ${MODE} contrib/init.d/consolelog   ${EXTDIR}/rc.d/init.d
+	ln -sf ../init.d/consolelog  ${EXTDIR}/rc.d/rcsysinit.d/S00consolelog
+
 install-hotplug: create-dirs
 	install -m ${MODE} contrib/init.d/hotplug      ${EXTDIR}/rc.d/init.d
 	ln -sf ../init.d/hotplug     ${EXTDIR}/rc.d/rcsysinit.d/S55hotplug

Added: trunk/bootscripts/contrib/init.d/consolelog
===================================================================
--- trunk/bootscripts/contrib/init.d/consolelog	2004-09-27 05:42:09 UTC (rev 4218)
+++ trunk/bootscripts/contrib/init.d/consolelog	2004-09-27 05:51:41 UTC (rev 4219)
@@ -0,0 +1,26 @@
+#!/bin/sh
+# Begin $rc_base/init.d/consolelog
+
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans  - gerard at linuxfromscratch.org
+
+. /etc/sysconfig/rc
+. $rc_functions
+. /etc/sysconfig/consolelog
+
+case "$1" in
+
+	start)
+		sleep "$WAITTIME"
+		boot_mesg "Setting default kernel log level..."
+		dmesg -n "$LOGLEVEL"
+		evaluate_retval
+	;;
+	*)
+		echo "Usage: $0 {start}"
+		exit 1
+	;;
+esac
+
+# End $rc_base/init.d/consolelog
+




More information about the lfs-book mailing list